%define major 4
%define libname %mklibname ev %{major}
%define develname %mklibname ev -d

Summary:    High-performance event loop/event model
Name:       libev
Epoch:      1
Version:    4.11
Release:    %mkrel 3
License:    BSD
Group:      System/Libraries
Url:        http://software.schmorp.de/pkg/libev.html
Source0:    http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
Source1:    %{name}.pc.in 

%description
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event Perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{libname}
Summary:    High-performance event loop/event model
Group:      System/Libraries

%description -n %{libname}
libev is a high-performance event loop/event model with lots of features.
(see benchmark at http://libev.schmorp.de/bench.html)

It is modeled (very loosely) after libevent and the Event perl module,
but aims to be faster and more correct, and also more featureful.

%package -n %{develname}
Summary:    High-performance event loop/event model
Group:      Development/C
Requires:   %{libname} = %{epoch}:%{version}-%{release}
Provides:   %{name}-devel = %{epoch}:%{version}-%{release}
Provides:   ev-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
This is the development files needed in order to develop applications using
libev.

%prep
%setup -q

# Add pkgconfig support
cp -p %{SOURCE1} .
sed -i -e 's|Makefile|Makefile libev.pc|' configure.ac configure
sed -i -e 's|lib_LTLIBRARIES|pkgconfigdir = $(libdir)/pkgconfig\n\npkgconfig_DATA = libev.pc\n\nlib_LTLIBRARIES|' \
    Makefile.am Makefile.in 
aclocal
automake

%build
%configure2_5x --includedir=%{_includedir}/%{name} --disable-static --with-pic
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/%{name}.la

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README
%{_includedir}/%{name}
%{_libdir}/libev*.so
%{_libdir}/pkgconfig/%{name}.pc 
%{_mandir}/man3/ev*



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:4.11-3.mga3
+ Revision: 357062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 guillomovitch <guillomovitch> 1:4.11-2.mga3
+ Revision: 336595
- drop conflict with libevent-devel, the header is now installed in a different location

* Thu Jun 07 2012 shlomif <shlomif> 1:4.11-1.mga3
+ Revision: 256669
- Correct typos
- New release: 4.11

* Sun Nov 06 2011 dmorgan <dmorgan> 1:4.04-2.mga2
+ Revision: 164177
- Fix headers location

* Sat Jul 16 2011 fwang <fwang> 1:4.04-1.mga2
+ Revision: 124734
- new version 4.04

* Thu Mar 24 2011 boklm <boklm> 1:3.9-5.mga1
+ Revision: 76166
- rebuild for bug #497

* Sun Mar 13 2011 shikamaru <shikamaru> 1:3.9-4.mga1
+ Revision: 70251
- imported package libev

